Update an IACA
Update the status of an IACA. Only active IACAs can be used for signing mDocs. When multiple IACAs are active, MATTR VII uses only one of them to sign each mDoc, based on the IACA selection criteria.
Creating an IACA with active set to false enables distributing the IACA's PEM to relying parties in advance, before it is being used to sign any mDocs.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>iacaId*stringIACA ID
uuidapplication/json- body
active*booleanIndicates whether the IACA is active or not. Only active IACAs can be used to sign mDocs.
IACA updated
application/json- response
id*stringUnique identifier of the created IACA.
uuidactive*booleanIndicates whether the IACA is active or not. Only active IACAs can be used to sign mDocs.
certificatePem*stringCertificate PEM format.
certificateData*certificateFingerprint*stringHash that includes all certificate data and its signature.
isManaged?booleanIndicates whether the private key for this certificate is managed by MATTR (true) or out of band by the customer as an external IACA (false).
curl -X PUT "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": false }'Result of the active: false request body above.
{ "id": "2e89c156-31d5-4783-bd59-9055b5f8e7d2", "active": false, "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIICDjCCAbSgAwIBAgIKdeZsA5NPKimuAzAKBggqhkjOPQQDAjAiMSAwCQYDVQQG\r\nEwJOWjATBgNVBAMTDEV4YW1wbGUgSUFDQTAeFw0yMzA5MTEyMzM0MjJaFw0zMzA5\r\nMDgyMzM0MjJaMCIxIDAJBgNVBAYTAk5aMBMGA1UEAxMMRXhhbXBsZSBJQUNBMFkw\r\nEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEBbK7JKKFMWuu8kHQK2qaML+MQ0Ykk3Qg\r\n/p3TC6lQKvYJozPSpLXbJQIzMPq9u/dG+j4vq1iX/G/jFIwfiEiKEqOB0TCBzjAS\r\nBgNVHRMBAf8ECDAGAQH/AgEAMA4GA1UdDwEB/wQEAwIABjAdBgNVHQ4EFgQU9zTh\r\nKsqFxAgRJDDGW1au+ewJK6owHgYDVR0SBBcwFYYTaHR0cHM6Ly9leGFtcGxlLmNv\r\nbTBpBgNVHR8EYjBgMF6gXKBahlhodHRwczovL2V4YW1wbGUuY29tL3YyL2NyZWRl\r\nbnRpYWxzL21vYmlsZS9pYWNhcy8yZTg5YzE1Ni0zMWQ1LTQ3ODMtYmQ1OS05MDU1\r\nYjVmOGU3ZDIvY3JsMAoGCCqGSM49BAMCA0gAMEUCIQDD+eU8iOsYYC0v41L94fhF\r\nZ0brPo4gx2aRxrhE3NLFpwIgIgHCPBXJ+JICJg3K7dEsr153So4SEZzAA1rRn4eF\r\nvkM=\r\n-----END CERTIFICATE-----\r\n", "certificateData": { "notBefore": "2023-09-11T23:34:22.000Z", "notAfter": "2033-09-08T23:34:22.000Z", "country": "NZ", "commonName": "Example IACA" }, "certificateFingerprint": "3c06145a53e6c252091a71540f870d4d521dede9f176a681a74e38ddc47bb311", "isManaged": true}How would you rate this page?